routes/web.php
<?php

use App\Http\Controllers\HomeController;
use App\Http\Controllers\ProductoController;
use App\Http\Controllers\ProductoTiendaController;
use App\Http\Controllers\TiendaController;
use App\Models\Producto;
use Illuminate\Support\Facades\Route;

Route::controller(HomeController::class)->group(function () {
    Route::get('/', 'index')->name('home.index');
    Route::get('/index', 'index')->name('home.index');
});

//rutas de tienda con recurso
Route::resource('tienda', TiendaController::class);

//rutas para tienda
// Route::controller(TiendaController::class)->group(function () {
//     Route::get('/tienda', 'index')->name('tienda.index');
//     Route::get('/tienda/create', 'create')->name('tienda.create');
//     Route::get('/tienda/{id}', 'show')->name('tienda.show');
//     Route::post('/tienda', 'store')->name('tienda.store');
//     Route::get('/tienda/edit/{id}', 'edit')->name('tienda.edit');
//     Route::put('/tienda/{id}', 'update')->name('tienda.update');
//     Route::delete('/tienda/{id}', 'destroy')->name('tienda.destroy');
// });


//rutas de producto con recurso

Route::resource('producto', ProductoController::class);

// //rutas para producto
// Route::controller(ProductoController::class)->group(function () {
//     Route::get('/producto', 'index')->name('producto.index');
//     Route::get('/producto/create', 'create')->name('producto.create');
//     Route::get('/producto/{id}', 'show')->name('producto.show');
//     Route::post('/producto', 'store')->name('producto.store');
//     Route::get('/producto/edit/{id}', 'edit')->name('producto.edit');
//     Route::put('/producto/{id}', 'update')->name('producto.update');
//     Route::delete('/producto/{id}', 'destroy')->name('producto.destroy');
// });

//rutas para productoTienda
// Route::controller(ProductoTiendaController::class)->group(function () {
//     Route::get('/productoTienda', 'index')->name('productoTienda.index');
//     Route::get('/productoTienda/create', 'create')->name('productoTienda.create');
//     Route::get('/productoTienda/{id}', 'show')->name('productoTienda.show');
//     Route::post('/productoTienda', 'store')->name('productoTienda.store');
//     Route::get('/productoTienda/edit/{id}', 'edit')->name('productoTienda.edit');
//     Route::put('/productoTienda/{id}', 'update')->name('productoTienda.update');
//     Route::delete('/productoTienda/{id}', 'destroy')->name('productoTienda.destroy');
// });

//rutas para productotienda con resource
Route::resource('productotienda', ProductotiendaController::class);

resources/views/_comun/menu.blade.php
<nav class="navbar navbar-expand-lg bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="{{ route('home.index') }}">Menu</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown"
            aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavDropdown">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link active{{ request()->routeIs('home.index') ? ' active' : '' }}" aria-current="page" href="{{ route('home.index') }}">Inicio</a>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="{{ route('tienda.index') }}" role="button" data-bs-toggle="dropdown"
                        aria-expanded="false">
                        Tiendas
                    </a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="{{ route('tienda.index') }}">Listado de tiendas</a></li>
                        <li><a class="dropdown-item" href="{{ route('tienda.create') }}">Insertar tienda</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                        aria-expanded="false">
                        Productos
                    </a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="{{ route('producto.index') }}">Listado de productos</a></li>
                        <li><a class="dropdown-item" href="{{ route('producto.create') }}">Insertar producto</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown"
                        aria-expanded="false">
                        Compras
                    </a>
                    <ul class="dropdown-menu">
                        <li><a class="dropdown-item" href="{{ route('productotienda.index') }}">Listado de compras</a></li>
                        <li><a class="dropdown-item" href="{{ route('productotienda.create') }}">Insertar compra</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>